## iearoboticscom_wiki-20140221-wikidump.7z

=== Makefile ===
#------------------------------------------------------------------------------
# Open Dynamics Engine and modular Robots
# Dr. Juan Gonzalez-Gomez. January 2009                          
#------------------------------------------------------------------------------
# GPL LICENSE                                                               
#------------------------------------------------------------------------------

CC = g++
CPPFLAGS =  -Iinclude  
            
DRAWSTUFF_FLAGS =  -Wall -fno-rtti -fno-exceptions -Wall -fomit-frame-pointer \
                   -ffast-math -Iinclude -DdNODEBUG -O2             
            
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU


#-- Drawstuff library
LIBDS = libdrawstuff.a
DEP = drawstuff/drawstuff.o drawstuff/x11.o

#-- Example: box1
NAME1 = box1
DEP1 = box1_ex/$(NAME1).o 

#-- Example: box2
NAME2 = box2
DEP2= box2_ex/$(NAME2).o 

#-- Example: box3
NAME3=box3
DEP3=box3_ex/$(NAME3).o box3_ex/body.o 

#-- Example: compound1
NAME4 = compound1
DEP4 = compound1_ex/$(NAME4).o compound1_ex/body.o 

#-- Example: compound2
NAME5 = compound2
DEP5 = compound2_ex/$(NAME5).o compound2_ex/body.o 

#-- Example: servo
NAME6 = servo
DEP6 = servo_ex/$(NAME6).o servo_ex/module.o 

#-- Example: PP
NAME7 = PP
DEP7 = PP_ex/$(NAME7).o PP_ex/robot.o 

#-- Example: snake robot
NAME8 = snake
DEP8 = snake_ex/$(NAME8).o snake_ex/robot.o 

all: $(LIBDS) $(NAME1) $(NAME2) $(NAME3) $(NAME4) $(NAME5) $(NAME6) $(NAME7) \
              $(NAME8)


#------------------------------
#-- Drawstuff.a
#------------------------------
$(LIBDS): $(DEP)
	    ar rc $(LIBDS) $(DEP)
			
drawstuff/drawstuff.o: drawstuff/drawstuff.cpp   
	  $(CC) $(DRAWSTUFF_FLAGS) -o $@ -c  $< 

drawstuff/x11.o: drawstuff/x11.cpp   
	  $(CC) $(DRAWSTUFF_FLAGS) -o $@ -c  $< 
    
clean::
	  rm -f $(LIBDS) $(DEP) *.bak *~

#------------------------
#-- Example: Box1
#------------------------
$(NAME1): $(DEP1) 
	$(CC) -o $(NAME1) $(DEP1) $(LIB)
  
box1_ex/box1.o: box1_ex/parameters.h
  
clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~
	
#------------------------
#-- Example: Box2	
#------------------------
$(NAME2): $(DEP2)
	$(CC) -o $(NAME2) $(DEP2) $(LIB)
  
box2_ex/box2.o: box2_ex/parameters.h

clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~

#------------------------
#-- Example: Box3			
#------------------------
$(NAME3): $(DEP3) $(LIBDS)
	$(CC) -o $(NAME3) $(DEP3) $(LIBDS) $(LIB3D)

$(DEP3): box3_ex/parameters.h box3_ex/body.h

clean::
	  rm -f $(NAME3) $(DEP3) *.bak *~	
    
#------------------------
#-- Example: Compound1
#------------------------
$(NAME4): $(DEP4) $(LIBDS)
	$(CC) -o $(NAME4) $(DEP4) $(LIBDS) $(LIB3D)

$(DEP4): compound1_ex/parameters.h compound1_ex/body.h

clean::
	  rm -f $(NAME4) $(DEP4) *.bak *~		
    
#-----------------------
#-- Example: Compound2
#-----------------------    
$(NAME5): $(DEP5) $(LIBDS)
	    $(CC) -o $@ $(DEP5) $(LIBDS) $(LIB3D)

$(DEP5): compound2_ex/parameters.h compound2_ex/body.h
  
clean::
	  rm -f $(NAME5) $(DEP5) *.bak *~            

#-----------------------
#-- Example: Servo
#-----------------------    
$(NAME6): $(DEP6) $(LIBDS)
	    $(CC) -o $@ $(DEP6) $(LIBDS) $(LIB3D)

$(DEP6): servo_ex/parameters.h servo_ex/module.h
      
clean::
	  rm -f $(NAME6) $(DEP6) *.bak *~         

#-----------------------
#-- Example: PP
#-----------------------    
$(NAME7): $(DEP7) $(LIBDS)
	    $(CC) -o $@ $^ $(LIB3D)

$(DEP7): PP_ex/parameters.h PP_ex/robot.h

clean::
	  rm -f $(NAME7) $(DEP7) *.bak *~        

#-----------------------
#-- Example: Snake Robot
#-----------------------    
$(NAME8): $(DEP8) $(LIBDS)
	    $(CC) -o $@ $^ $(LIB3D)
      
$(DEP8): snake_ex/parameters.h snake_ex/robot.h

clean::
	  rm -f $(NAME8) $(DEP8) *.bak *~

=== GA/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include -I../Rtk/include  \
           -Dlinux -DWL=32 -DFORTRANUNDERSCORE -DOPTIMIZE -DFAKE_MPI
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

LIBRTK= ../Rtk/libRtk.a
LIBRTK3D= ../Rtk/libRtk3D.a
LIBDS=  ../drawstuff/libdrawstuff.a

#------------
#- libpgaO
#------------
NAME1=libpgaO.a
DEP1= pgapack/binary.o pgapack/char.o pgapack/cmdline.o    pgapack/create.o   \
      pgapack/cross.o  pgapack/debug.o pgapack/duplcate.o  pgapack/evaluate.o \
      pgapack/f2c.o    pgapack/fitness.o  pgapack/heap.o   pgapack/integer.o  \
      pgapack/mpi_stub.o pgapack/mutation.o pgapack/parallel.o pgapack/pga.o  \
      pgapack/pop.o    pgapack/random.o  pgapack/real.o  pgapack/report.o     \
      pgapack/restart.o pgapack/select.o pgapack/stop.o  pgapack/system.o     \
      pgapack/user.o   pgapack/utility.o 
      

#-----------------
#-- GA
#-----------------
NAME2= GA
DEP2= GA-utils/$(NAME2).o GA-utils/chromosome.o libpgaO.a



all: $(NAME1) $(NAME2)

  
#---------------------------
#       OBJETIVOS
#---------------------------
$(NAME1): $(DEP1)
	    ar ruv $(NAME1) $(DEP1)
	    ranlib $(NAME1)

clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~

$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2) $(LIBRTK)  $(LIB)
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~


#ar ruv ../lib/linux/libpgaO.a ../lib/linux/binary.o ../lib/linux/char.o #../lib/linux/cmdline.o ../lib/linux/create.o ../lib/linux/cross.o #../lib/linux/debug.o ../lib/linux/duplcate.o ../lib/linux/evaluate.o #../lib/linux/fitness.o ../lib/linux/hamming.o ../lib/linux/heap.o #../lib/linux/integer.o ../lib/linux/mutation.o ../lib/linux/parallel.o #../lib/linux/pga.o ../lib/linux/pop.o ../lib/linux/random.o ../lib/linux/real.o #../lib/linux/report.o ../lib/linux/restart.o ../lib/linux/select.o #../lib/linux/stop.o ../lib/linux/system.o ../lib/linux/user.o #../lib/linux/utility.o ../lib/linux/f2c.o ../lib/linux/mpi_stub.o

#ranlib ../lib/linux/libpgaO.a

#cc -o ../lib/linux/f2c.o -c -O  #-I/home/juan/desarrollo/pgapack-test/pgapack-1.0.0.1/include -Dlinux -DWL=32 #-DFORTRANUNDERSCORE -DOPTIMIZE -DFAKE_MPI  f2c.c

=== Rtk/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

RTK_DEP = src/Rtk-Y1Module.o         src/Rtk-Robot.o                      \
          src/Rtk-Chain.o            src/Rtk-Simulation-Engine.o          \
          src/Rtk-Robot-Group.o      src/Rtk-PP.o                         \
          src/Rtk-Sampled-Function.o src/Rtk-Fitness.o                    \
          src/Rtk-Generator.o        src/T1D.o

RTK3D_DEP = src/Rtk-3D.o


#-- Ejemplos de prueba
NAME1= test-modulo-teclas
DEP1 = test/$(NAME1).o libRtk3D.a libRtk.a

NAME2= test-robots
DEP2 = test/$(NAME2).o libRtk3D.a libRtk.a

NAME3= test1
DEP3= test/$(NAME3).o libRtk3D.a libRtk.a

NAME4= test2
DEP4= test/$(NAME4).o libRtk3D.a libRtk.a

all: $(NAME1) $(NAME2) $(NAME3) $(NAME4)

  
#---------------------------
#       OBJETIVOS
#---------------------------
libRtk.a : $(RTK_DEP)
	    ar rc libRtk.a $(RTK_DEP)
      
clean::
	  rm -f libRtk.a $(RTK_DEP) *.bak *~


libRtk3D.a : $(RTK3D_DEP)
	           ar rc libRtk3D.a src/Rtk-3D.o 
clean::
	  rm -f libRtk3D.a $(RTK3D_DEP) *.bak *~             


#------------------------------
$(NAME1): $(DEP1)
	    $(CC) -o $@ $(DEP1) ../drawstuff/libdrawstuff.a $(LIB3D) 
			
clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~

#------------------------------
$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2) ../drawstuff/libdrawstuff.a $(LIB3D) 
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~
    
#------------------------------
$(NAME3): $(DEP3)
	    $(CC) -o $@ $(DEP3) ../drawstuff/libdrawstuff.a $(LIB3D) 
			
clean::
	  rm -f $(NAME3) $(DEP3) *.bak *~    
    
#------------------------------
$(NAME4): $(DEP4)
	    $(CC) -o $@ $(DEP4) ../drawstuff/libdrawstuff.a $(LIB3D) 
			
clean::
	  rm -f $(NAME4) $(DEP4) *.bak *~

=== adc/Makefile ===
# AVR-GCC Makefile
SOURCES=main.c printf-UART.c
CC=avr-gcc
OBJCOPY=avr-objcopy
MMCU=atmega168

CFLAGS=-g -mmcu=atmega168 -Wall

main.hex: main.out
	$(OBJCOPY) -O ihex main.out main.hex

main.out: $(SOURCES)
	$(CC) $(CFLAGS) -Os $(SOURCES) -o main.out 

burn: main.hex
	avrdude -p atmega168 -c stk500v1 -P/dev/ttyUSB0 -b19200 -D -Uflash:w:main.hex
clean:
	rm -f main.out
	rm -f main.hex
terminal:
	echo "Opening /dev/ttyUSB0. To exit, use Ctrl-a k"
	sleep 2
	screen /dev/ttyUSB0

=== helloWorld/Makefile ===
# AVR-GCC Makefile
SOURCES=main.c
CC=avr-gcc
OBJCOPY=avr-objcopy
MMCU=atmega168

CFLAGS=-mmcu=$(MMCU) -Wall

main.hex: main.out
	$(OBJCOPY) -j .text -O ihex main.out main.hex

main.out: $(SOURCES)
	$(CC) $(CFLAGS) -Wall -o main.out $(SOURCES)

burn: main.hex
	avrdude  -q -patmega168 -cstk500v1 -P/dev/ttyUSB0 -b19200 -D -Uflash:w:main.hex
clean:
	rm -f main.out
	rm -f main.hex

=== robot/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include -I../Rtk/include
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

LIBRTK= ../Rtk/libRtk.a
LIBRTK3D= ../Rtk/libRtk3D.a
LIBDS=  ../drawstuff/libdrawstuff.a

#-----------------
#-- libio
#-----------------
NAME1= libio.a
DEP1= io/consola_io.o io/sg-serial.o io/sg-tramas.o io/sg-tramas-servos8.o


#---------------
#--  Play
#---------------
NAME2= Play
DEP2 = play/$(NAME2).o libio.a

NAME3= Play-file
DEP3 = play/$(NAME3).o libio.a

NAME4= Play-3D
DEP4 = play/$(NAME4).o libio.a

#--------------
#-- Demos
#--------------
NAME5= Demo-cube-rev
DEP5=  Demos/$(NAME5).o libio.a

NAME6= Demo-hypercube
DEP6=  Demos/$(NAME6).o libio.a

NAME7= Demo-PP
DEP7=  Demos/$(NAME7).o libio.a

NAME8= Demo-PYP
DEP8=  Demos/$(NAME8).o libio.a


all: $(NAME1) $(NAME2) $(NAME3) $(NAME4) $(NAME5) $(NAME6) $(NAME7) $(NAME8)

  
#---------------------------
#       OBJETIVOS
#---------------------------
$(NAME1): $(DEP1)
	    ar rc $(NAME1) $(DEP1)
			
clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~
    
#--------------    
$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2) $(LIBRTK) $(LIB)
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~

#--------------    
$(NAME3): $(DEP3)
	    $(CC) -o $@ $(DEP3) $(LIBRTK) $(LIB)
			
clean::
	  rm -f $(NAME3) $(DEP3) *.bak *~


#--------------    
$(NAME4): $(DEP4)
	    $(CC) -o $@ $(DEP4) $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME4) $(DEP4) *.bak *~
    
#--------------    
$(NAME5): $(DEP5)
	    $(CC) -o $@ $(DEP5) $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME5) $(DEP5) *.bak *~
    
#--------------    
$(NAME6): $(DEP6)
	    $(CC) -o $@ $(DEP6) $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME6) $(DEP6) *.bak *~
    
#--------------    
$(NAME7): $(DEP7)
	    $(CC) -o $@ $(DEP7) $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME7) $(DEP7) *.bak *~
    
#--------------    
$(NAME8): $(DEP8)
	    $(CC) -o $@ $(DEP8) $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME8) $(DEP8) *.bak *~

=== tools/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include -I../Rtk/include
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

LIBRTK= ../Rtk/libRtk.a
LIBRTK3D= ../Rtk/libRtk3D.a
LIBDS=  ../drawstuff/libdrawstuff.a

#---------------
#--  Utils
#---------------
NAME1= Pn
DEP1 = utils/$(NAME1).o

NAME2= PYn
DEP2 = utils/$(NAME2).o

NAME12 = Yn
DEP12 = utils/$(NAME12).o

NAME3= sin2file
DEP3 = utils/$(NAME3).o

#------------
#-- View
#------------
NAME4= View
DEP4 = view/$(NAME4).o

NAME5= View-fitness
DEP5 = view/$(NAME5).o

NAME6= View-file
DEP6 = view/$(NAME6).o

NAME7= View-file-fitness
DEP7 = view/$(NAME7).o


#------------------
#-- Osciloscope
#------------------
NAME8= Osciloscopio-file
DEP8 = osciloscope/$(NAME8).o

NAME9= Osciloscopio
DEP9= osciloscope/$(NAME9).o

#------------------
#-- Range
#------------------
NAME10= Range_Pn
DEP10= range/$(NAME10).o

NAME11= Range_PYn
DEP11= range/$(NAME11).o


all: $(NAME1) $(NAME2) $(NAME3) $(NAME4) $(NAME5) $(NAME6) $(NAME7) $(NAME8) \
     $(NAME9) $(NAME10) $(NAME11) $(NAME12)

  
#---------------------------
#       OBJETIVOS
#---------------------------
$(NAME1): $(DEP1)
	    $(CC) -o $@ $(DEP1)  
			
clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~

#-------------------
$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2)  
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~

#-------------------
$(NAME3): $(DEP3)
	    $(CC) -o $@ $(DEP3)  $(LIBRTK) $(LIBDS) $(LIB)
			
clean::
	  rm -f $(NAME3) $(DEP3) *.bak *~

#-------------------
$(NAME4): $(DEP4)
	    $(CC) -o $@ $(DEP4)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME4) $(DEP4) *.bak *~
    
#-------------------
$(NAME5): $(DEP5)
	    $(CC) -o $@ $(DEP5)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME5) $(DEP5) *.bak *~   
    
    
#-------------------
$(NAME6): $(DEP6)
	    $(CC) -o $@ $(DEP6)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME6) $(DEP6) *.bak *~   
    
#-------------------
$(NAME7): $(DEP7)
	    $(CC) -o $@ $(DEP7)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME7) $(DEP7) *.bak *~

#-------------------
$(NAME8): $(DEP8)
	    $(CC) -o $@ $(DEP8)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME8) $(DEP8) *.bak *~
    
#-------------------
$(NAME9): $(DEP9)
	    $(CC) -o $@ $(DEP9)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME9) $(DEP9) *.bak *~
    
    
#-------------------
$(NAME10): $(DEP10)
	    $(CC) -o $@ $(DEP10)  $(LIBRTK) $(LIB)
			
clean::
	  rm -f $(NAME10) $(DEP10) *.bak *~
    
#-------------------
$(NAME11): $(DEP11)
	    $(CC) -o $@ $(DEP11)  $(LIBRTK) $(LIB)
			
clean::
	  rm -f $(NAME11) $(DEP11) *.bak *~

#--------------
$(NAME12): $(DEP12)
	    $(CC) -o $@ $(DEP12)  
			
clean::
	  rm -f $(NAME12) $(DEP12) *.bak *~

=== debian/changelog ===
pydownloader-wx (1.0-2) unstable; urgency=low

  * Cambiadas dependencias: ahora se pone que dependa de python y no
    de python2.4 para que funcione bien en Ubuntu

 -- juan <juan@Roma.local.lan>  Mon, 24 Sep 2007 13:11:50 +0200

pydownloader-wx (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Juan Gonzalez <juan@iearobotics.com>  Sat, 22 Sep 2007 09:53:46 +0200

=== debian/control ===
Source: pydownloader-gtk
Section: electronics
Priority: optional
Maintainer: Juan Gonzalez <juan@iearobotics.com>
Build-Depends: cdbs, cdbs, debhelper (>= 5)
Standards-Version: 3.7.2
XS-Python-Version: all

Package: pydownloader-gtk
Architecture: any
Depends: ${python:Depends}, python-libiris, python-gtk2
Description: Descarga de programas en la tarjeta Skypic
 Aplicacion para descargar ficheros .hex y firmware predefinido en la 
 tarjeta Skypic. El PIC_BOOTloader debe estar previamente grabado.
 Version grafica basada en las PyGTK

=== debian/rules ===
#!/usr/bin/make -f
  
DEB_PYTHON_SYSTEM=pycentral
DBK2MAN_XSL=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

build/python-libiris::
	xsltproc --nonet $(DBK2MAN_XSL) debian/libiris.xml

install/python-libiris::
	mv $(CURDIR)/debian/python-libiris/usr/bin/hex-view.py $(CURDIR)/debian/python-libiris/usr/bin/hex-view
	mv $(CURDIR)/debian/python-libiris/usr/bin/hex2python.py $(CURDIR)/debian/python-libiris/usr/bin/hex2python
	mv $(CURDIR)/debian/python-libiris/usr/bin/skypic-test.py $(CURDIR)/debian/python-libiris/usr/bin/skypic-test
	dh_installexamples test-libIris/*.py test-IntelHex/*

clean::
	-rm libiris.3
